<div class="input__search--pn--group">
  <div class="input__employee-code">
    <mb-data-picker #dataPicker
                    [mbPlaceholder]="mbPlacholder ? mbPlacholder :('common.organization.search' | translate) "
                    [mbLabelText]="mbLabelText"
                    [mbDisable]="mbDisable"
                    [mbData]="data" [mbResultTpl]="dataTable"
                    [mbType]="mbType"
                    [mbShowError]="mbShowError"
                    [mbErrors]="mbErrors"
                    [mbErrorDefs]="mbErrorDefs"
                    [mbLabelCustom]="selected ? selected.orgName + (selected.parentName ? ('-' + selected.parentName) :'') : ''"
                    [(selected)]="selected" (selectedChange)="change($event)"
    ></mb-data-picker>
  </div>
</div>

<ng-template #dataTable>
  <div class="mb__org--modal">
  <div nz-row class="content__home">
    <div nz-col nzXs="24" nzLg="6" class="item__home item__home--left">
      <nz-card [nzBordered]="false" nzTitle="{{'common.organization.treeOrg'|translate}}"
               style="border-radius: 20px 0 0 20px">
        <mb-org-tree (onClickNode)="selectNode($event)" [scope]="scope" [functionCode]="functionCode"></mb-org-tree>
      </nz-card>
    </div>
    <div nz-col nzXs="24" nzLg="18" class="item__home item__home--right">
      <app-loading *ngIf="isLoading"></app-loading>
      <nz-card style="border-left: 1px solid #f0f0f0;border-radius: 0 20px 20px 0" [nzBordered]="false"
               nzTitle="{{'common.organization.org'|translate}}" [nzExtra]="extraTemplate">
        <div nz-row class="modal-right__search-input" (keyup.enter)="doSearchOrg()">
          <div nz-col nzSpan="22">
            <mb-input-text
              [(ngModel)]="searchOrgValue"
              mbType="default"
              [defaultInput]="true"
              [mbShowFlexEnd]="false"
              mbPlaceholderText="{{ 'common.organization.org' |translate}}"
            >
            </mb-input-text>
          </div>
          <div nz-col nzSpan="2" class="flex-end" style="margin-top: 6px">
            <mb-button mbButtonType="BORDER" mbButtonSize="VERY_LARGE" (click)='showAdvSearch()'>
              <img *ngIf='isSearchAdv' src="../../../../../assets/images/icon/arrow-up.svg" alt="" />
              <img *ngIf='!isSearchAdv' src="../../../../../assets/images/icon/arrow-down.svg"  alt="" />
            </mb-button>
          </div>
        </div>

        <div style="margin-top: 20px">
          <div nz-row [nzGutter]="[30, 10]"  *ngIf='isSearchAdv'>
            <div nz-col nzSpan="6">
              <mb-select [mbDataSelects]="listOrgManager" mbKeyLabel="orgName" mbKeyValue="orgId" (mbSelect)='onChangeOrgByLevel($event, 1)'
                         mbLabelText="{{'common.label.manageOrg' | translate}}" mbPlaceholder="{{'common.placeHolder.choose' | translate}}"
                         [(ngModel)]="objectSearch.orgManager">
              </mb-select>
            </div>
            <div nz-col nzSpan="6" class="main-job-card__left">
              <mb-select [mbDataSelects]="listOrgTT1" mbKeyLabel="orgName" mbKeyValue="orgId" [mbDisable]='!objectSearch.orgManager'
                         (mbSelect)='onChangeOrgByLevel($event, 2)'
                         mbLabelText="{{'common.label.orgLv1' | translate}}" mbPlaceholder="{{'common.placeHolder.choose' | translate}}"
                         [(ngModel)]="objectSearch.orgIdTT1">
              </mb-select>
            </div>
            <div nz-col nzSpan="6" class="main-job-card__left">
              <mb-select [mbDataSelects]="listOrgTT2" mbKeyLabel="orgName" mbKeyValue="orgId" [mbDisable]='!objectSearch.orgIdTT1'
                         (mbSelect)='onChangeOrgByLevel($event, 3)'
                         mbLabelText="{{'common.label.orgLv2' | translate}}" mbPlaceholder="{{'common.placeHolder.choose' | translate}}"
                         [(ngModel)]="objectSearch.orgIdTT2">
              </mb-select>
            </div>
            <div nz-col nzSpan="6" class="main-job-card__left">
              <mb-select [mbDataSelects]="listOrgTT3" mbKeyLabel="orgName" mbKeyValue="orgId" [mbDisable]='!objectSearch.orgIdTT2'
                         (mbSelect)='onChangeOrgByLevel($event, 4)'
                         mbLabelText="{{'common.label.orgLv3' | translate}}" mbPlaceholder="{{'common.placeHolder.choose' | translate}}"
                         [(ngModel)]="objectSearch.orgIdTT3">
              </mb-select>
            </div>
          </div>
          <div nz-row [nzGutter]="[30, 10]" class='main-job-card__row'>
            <div nz-col nzSpan="6">
              <mb-select [mbDataSelects]="areas"
                         mbLabelText="{{ 'common.label.area' | translate }}"
                         mbPlaceholder="{{ 'common.placeHolder.choose' | translate }}"
                         [(ngModel)]="objectSearch.region">
              </mb-select>
            </div>
            <div nz-col nzSpan="6" class="main-job-card__left">
              <mb-select [mbDataSelects]="types"
                         mbLabelText="{{ 'common.label.typeBranch' | translate }}"
                         mbPlaceholder="{{ 'common.placeHolder.choose' | translate }}"
                         [(ngModel)]="objectSearch.brachType">
              </mb-select>
            </div>
            <div nz-col nzSpan="6" class="main-job-card__left">
              <mb-select [mbDataSelects]="listOrgGroup" mbKeyLabel="key" mbKeyValue="value"
                         mbLabelText="{{'common.label.orgGroup' | translate}}"
                         mbPlaceholder="{{ 'common.placeHolder.choose' | translate }}"
                         [(ngModel)]="objectSearch.orgGroup">
              </mb-select>
            </div>
            <div nz-col nzSpan="6" style="margin-top: 1.5rem" class="btn__search-org">
              <mb-button mbButtonSize="VERY_LARGE"
                         mbButtonAvailableStyle="CUSTOM"
                         (click)="doSearchOrg()"
                         mbButtonText="{{ 'common.label.search' | translate }}">
              </mb-button>
            </div>
          </div>
        </div>

        <nz-table nz-col nzXs="24" nzLg="24" style="margin-top: 16px"
                  [nzShowPagination]="false"
                  [nzFrontPagination]="false"
                  [nzScroll]=" { y: '350px' }"
                  nzTableLayout="fixed"
                  #basicTable nzSize="small" [nzData]="data" [nzLoading]="loading">
          <thead>
          <tr>
            <th scope='col' class="text-nowrap">{{'common.organization.name' | translate}}</th>
            <th scope='col' class="text-nowrap">{{'common.organization.orgManagement' | translate}}</th>
          </tr>
          </thead>
          <tbody>
          <tr class="tr-for-class" *ngFor="let data of basicTable.data;let i = index;" (click)="doSelectOrg(data)" >
            <td class="text-nowrap">{{data.orgName}}</td>
            <td class="text-nowrap">{{data.parentName}}</td>
          </tr>
          </tbody>
        </nz-table>
        <div nz-row class="pagination">
          <div nz-col nzSpan="10" *ngIf="count === 0; else elseTplNoti">
            <img alt="" class="pagination__table-info--icon" alt="" src="assets/images/icon/idea.svg" />
            <span class="pagination__table-info--text"> Tìm thấy {{ count }} kết quả </span>
          </div>
          <ng-template #elseTplNoti>
            <div nz-col nzSpan="10" class="pagination__table-info">
              <img alt="" class="pagination__table-info--icon" src="assets/images/icon/idea.svg" />
              <span class="pagination__table-info--text"
              >Tìm thấy {{ count }} kết quả, hiển thị từ
                {{ pagination.pageSize * (pagination.pageNumber - 1) + 1}} đến
                {{ pagination.pageSize * (pagination.pageNumber - 1) +  pagination.pageSize}}</span
              >
            </div>
          </ng-template>
          <div nz-col nzSpan="14">
            <nz-pagination
              [nzPageIndex]="pagination.pageNumber"
              (nzPageIndexChange)="getByParent($event)"
              [nzTotal]="count"
              [nzPageSize]="pagination.pageSize"
            ></nz-pagination>
          </div>
        </div>
      </nz-card>
      <ng-template #extraTemplate>
        <button (click)="closeModal()" aria-label="Close" nz-modal-close="" class="ant-modal-close ng-tns-c270-51 ng-star-inserted" style=""><span
          class="ant-modal-close-x"><em nz-icon="" class="anticon ant-modal-close-icon anticon-close ng-star-inserted"
                                       ng-reflect-nz-type="close"><svg viewBox="64 64 896 896" focusable="false"
                                                                       fill="currentColor" width="1em" height="1em"
                                                                       data-icon="close" aria-hidden="true"><path
          d="M563.8 512l262.5-312.9c4.4-5.2.7-13.1-6.1-13.1h-79.8c-4.7 0-9.2 2.1-12.3 5.7L511.6 449.8 295.1 191.7c-3-3.6-7.5-5.7-12.3-5.7H203c-6.8 0-10.5 7.9-6.1 13.1L459.4 512 196.9 824.9A7.95 7.95 0 00203 838h79.8c4.7 0 9.2-2.1 12.3-5.7l216.5-258.1 216.5 258.1c3 3.6 7.5 5.7 12.3 5.7h79.8c6.8 0 10.5-7.9 6.1-13.1L563.8 512z"></path></svg></em>
           </span></button>
      </ng-template>
    </div>
  </div>
  </div>
</ng-template>
